<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->

<body id="body-index">


<div th:replace="fragments/header-mecanico :: header"></div><!--Carga el fragmento header-->


<div class="container" id="container">
    <div class="admin-container" style="width: 100%">
        <div class="panel panel-default">
            <div class="panel-heading">Servicios realizados</div>
            <table class="table table-striped table-bordered" id="category-table">
                <tr th:each="ficha: ${fichas}" > <!--recorre la  lista de fichasRUT "fichas" que fue entregada por el webController-->
                    <!--Se muestran los atributos de la ficha-->
                    <td th:text="${ficha.getFecha()}">Fecha</td>
                    <td th:text="${ficha.getPatente()}">Patente</td>
                    <td th:text="${ficha.getNombre()}">Servicio</td>
                    <td th:text="${ficha.getDetalle()}">Detalle</td>
                    <td th:text="${ficha.getPrecio()}">Precio</td>
                    <td th:text="${ficha.getRutCliente()}">RUT Cliente</td>
                    <td th:text="${ficha.getRutAdmin()}">RUT Administrador</td>
                    <td> <!--Columna que muestra un botón para poder ver el detalle de la ficha-->
                        <div class="action-button">
                            <a th:href="|/ficha/${ficha.getIdFicha()}|"> <!--Si se quiere ver el detalle de la ficha, se redirigirá a otra página-->
                                <button class="btn btn-info" style="margin: 2px;">
                                    <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>
                                </button>
                            </a>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!--Carga algunos scripts de ajax-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous">
</script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
    $(document).ready(function () {
        <!--Da nombre a las columnas de la tabla y activa la paginación-->
        $('#category-table').DataTable({
            "paging": true,
            columns: [
                {data: "fecha", title: "Fecha"},
                {data: "patente", title: "Patente"},
                {data: "servicio", title: "Servicio"},
                {data: "detalle", title: "Detalle"},
                {data: "precio", title: "Precio"},
                {data: "rutCliente", title: "RUT Cliente"},
                {data: "rutAdmin", title: "RUT Administrador"},
                {data: "edit", title: " "}
            ]
        });
    });

    function eliminar(button) { <!--Cuando se presiona el botón eliminar-->
        var rut = $(button).data("rut");
        var nombre = $(button).data("nombre");
        var id = $(button).data("id");

        <!--Se despliega una ventana de confirmación con algunos datos del cliente-->
        <!--Si se confirma, se envía el id del cliente a eliminar al url /cliente/borrar-->
        if (confirm("Confirma que desea eliminar el cliente con RUT " + rut + " y nombre " + nombre)) {
            $.ajax({
                type: "PUT",
                contentType: 'application/json',
                url: "http://localhost:8080/cliente/borrar/" + id
            }).done(function (message) {
                location.href = "http://localhost:8080/clientes";
            }).fail(function (e) {
                console.log("error " + e);
            });
        }
    }
</script>
</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>